Author: Sergei Golovan
Description: Patch makes documentation reprodicuble by
 1. omitting yaws.ps
 2. forcing source date for yaws.pdf
 3. omitting the ID, which is computed using full name of the file
 4. omitting extra info, which includes version of PdfLaTeX
Last-Modified: Fri, 15 May 2026 14:58:29 +0300

--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -6,19 +6,17 @@
 
 if CAN_BUILD_DOC
 
-doc: yaws.ps yaws.pdf
+doc: yaws.pdf
 
 install-data-local: doc
 	$(AM_V_at)$(INSTALL) -d $(DESTDIR)$(docdir)
 	$(AM_V_at)$(INSTALL) -m 644 yaws.pdf $(DESTDIR)$(docdir)
 
 	$(AM_V_at)$(INSTALL) -d $(DESTDIR)$(wwwdir)
-	$(AM_V_at)$(INSTALL) -m 644 yaws.ps $(DESTDIR)$(wwwdir)
 	$(AM_V_at)$(INSTALL) -m 644 yaws.pdf $(DESTDIR)$(wwwdir)
 
 uninstall-local:
 	$(AM_V_at)rm -f $(DESTDIR)$(docdir)/yaws.pdf
-	$(AM_V_at)rm -f $(DESTDIR)$(wwwdir)/yaws.ps
 	$(AM_V_at)rm -f $(DESTDIR)$(wwwdir)/yaws.pdf
 
 clean-local:
@@ -83,18 +81,22 @@
 	    echo '  $(PDFLATEX)  $<' ; \
 	  else \
 	    echo TEXINPUTS="$${TEXTINPUTS}:@srcdir@" \
+	        FORCE_SOURCE_DATE=1 \
 		SOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH) \
 		$(PDFLATEX) $< ; \
 	  fi ; \
 	  TEXINPUTS="$${TEXTINPUTS}:@srcdir@" \
+	        FORCE_SOURCE_DATE=1 \
 		SOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH) \
 		$(PDFLATEX) $< > /dev/null; \
 	  if [ x'$(AM_V_at)' = x ]; then \
 	    echo TEXINPUTS="$${TEXTINPUTS}:@srcdir@" \
+	        FORCE_SOURCE_DATE=1 \
 		SOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH)  \
 		$(PDFLATEX) $< ; \
 	  fi ; \
 	  TEXINPUTS="$${TEXTINPUTS}:@srcdir@" \
+	        FORCE_SOURCE_DATE=1 \
 		SOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH)  \
 		$(PDFLATEX) $< > /dev/null; \
 	else \
--- a/www/doc.yaws
+++ b/www/doc.yaws
@@ -21,7 +21,6 @@
 
   <ul>
     <li> <a href="yaws.pdf"> yaws.pdf</a></li>
-    <li> <a href="yaws.ps"> yaws.ps</a></li>
   </ul>
 
 
--- a/doc/yaws.tex
+++ b/doc/yaws.tex
@@ -1,4 +1,6 @@
 \documentclass[11pt,oneside,english]{book}
+\pdftrailerid{}
+\pdfomitinfodict=1
 
 \usepackage{ifpdf}
 
